diff --git a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
index 20241c95e..87b3af8b0 100644
--- a/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
+++ b/game/client/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
@@ -49,365 +49,365 @@ public class ItemModelDispatcher extends Dispatcher<Item, ItemModel> {
 
     public void reload() {
         dispatches.clear();
-        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_IRON, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_IRON)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_IRON, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_IRON)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_AXE_IRON, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_IRON)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_FIRESTRIKER_IRON, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.TOOL_FIRESTRIKER_IRON));
 
-        addDispatch(new ItemModelStandard(Items.FOOD_APPLE, "minecraft"));
-        addDispatch(new ItemModelBow(Items.TOOL_BOW, "minecraft")
+        addDispatch(new ItemModelStandard(Items.FOOD_APPLE));
+        addDispatch(new ItemModelBow(Items.TOOL_BOW, true)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, new DisplayPos(1.13f/16f, 3.2f/16f, 1.13f/16f, 0, -90, 25, 0.68f, 0.68f, 0.68f))
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, new DisplayPos(1.13f/16f, 3.2f/16f, 1.13f/16f, 0, 90, -25, 0.68f, 0.68f, 0.68f))
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, new DisplayPos(-1f/16f, -2f/16f, 2.5f/16f, -80, 260, -40, 0.9f, 0.9f, 0.9f))
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, new DisplayPos(-1f/16f, -2f/16f, 2.5f/16f, -80, -280, 40, 0.9f, 0.9f, 0.9f)));
-        addDispatch(new ItemModelStandard(Items.AMMO_ARROW, "minecraft"));
-        addDispatch(new ItemModelCoal(Items.COAL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.DIAMOND, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.INGOT_IRON, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.INGOT_GOLD, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.AMMO_ARROW));
+        addDispatch(new ItemModelCoal(Items.COAL, true));
+        addDispatch(new ItemModelStandard(Items.DIAMOND));
+        addDispatch(new ItemModelStandard(Items.INGOT_IRON));
+        addDispatch(new ItemModelStandard(Items.INGOT_GOLD));
 
-        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_IRON, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_IRON)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_WOOD, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_WOOD)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_WOOD, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_WOOD)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_WOOD, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_WOOD)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_AXE_WOOD, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_WOOD)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_STONE, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_STONE)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_STONE, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_STONE)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_STONE, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_STONE)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_AXE_STONE, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_STONE)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_DIAMOND, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_DIAMOND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_DIAMOND, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_DIAMOND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_DIAMOND, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_DIAMOND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_AXE_DIAMOND, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_DIAMOND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
 
-        addDispatch(new ItemModelStandard(Items.STICK, "minecraft")
+        addDispatch(new ItemModelStandard(Items.STICK)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.BOWL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FOOD_STEW_MUSHROOM, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.BOWL));
+        addDispatch(new ItemModelStandard(Items.FOOD_STEW_MUSHROOM));
 
-        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_GOLD, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_GOLD)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_GOLD, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_GOLD)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_GOLD, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_GOLD)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_AXE_GOLD, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_GOLD)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
 
-        addDispatch(new ItemModelStandard(Items.STRING, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FEATHER_CHICKEN, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.GUNPOWDER, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.STRING));
+        addDispatch(new ItemModelStandard(Items.FEATHER_CHICKEN));
+        addDispatch(new ItemModelStandard(Items.GUNPOWDER));
 
-        addDispatch(new ItemModelStandard(Items.TOOL_HOE_WOOD, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_WOOD)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_HOE_STONE, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_STONE)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_HOE_IRON, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_IRON)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_HOE_DIAMOND, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_DIAMOND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_HOE_GOLD, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_GOLD)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
 
-        addDispatch(new ItemModelStandard(Items.SEEDS_WHEAT, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.WHEAT, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FOOD_BREAD, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.SEEDS_WHEAT));
+        addDispatch(new ItemModelStandard(Items.WHEAT));
+        addDispatch(new ItemModelStandard(Items.FOOD_BREAD));
 
-        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_LEATHER, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_LEATHER, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_LEATHER, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_LEATHER, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_LEATHER));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_LEATHER));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_LEATHER));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_LEATHER));
 
-        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_CHAINMAIL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_CHAINMAIL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_CHAINMAIL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_CHAINMAIL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_CHAINMAIL));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_CHAINMAIL));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_CHAINMAIL));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_CHAINMAIL));
 
-        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_IRON, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_IRON, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_IRON, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_IRON, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_IRON));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_IRON));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_IRON));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_IRON));
 
-        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_DIAMOND, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_DIAMOND, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_DIAMOND, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_DIAMOND, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_DIAMOND));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_DIAMOND));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_DIAMOND));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_DIAMOND));
 
-        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_GOLD, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_GOLD, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_GOLD, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_GOLD, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_GOLD));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_GOLD));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_GOLD));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_GOLD));
 
-        addDispatch(new ItemModelStandard(Items.FLINT, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FOOD_PORKCHOP_RAW, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FOOD_PORKCHOP_COOKED, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.PAINTING, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FOOD_APPLE_GOLD, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.SIGN, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.DOOR_OAK, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.DOOR_GLASS, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FLINT));
+        addDispatch(new ItemModelStandard(Items.FOOD_PORKCHOP_RAW));
+        addDispatch(new ItemModelStandard(Items.FOOD_PORKCHOP_COOKED));
+        addDispatch(new ItemModelStandard(Items.PAINTING));
+        addDispatch(new ItemModelStandard(Items.FOOD_APPLE_GOLD));
+        addDispatch(new ItemModelStandard(Items.SIGN));
+        addDispatch(new ItemModelStandard(Items.DOOR_OAK));
+        addDispatch(new ItemModelStandard(Items.DOOR_GLASS));
         addDispatch(new ItemModelDoorPainted(Items.DOOR_OAK_PAINTED));
         addDispatch(new ItemModelBucketIron(Items.BUCKET_IRON, "minecraft"));
         addDispatch(new ItemModelBucketSteel(Items.BUCKET_STEEL, "minecraft"));
-      //addDispatch(new ItemModelStandard(Items.BUCKET_WATER, "minecraft"));
-      //addDispatch(new ItemModelStandard(Items.BUCKET_LAVA, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Items.MINECART, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.SADDLE, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.DOOR_IRON, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.DUST_REDSTONE, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.AMMO_SNOWBALL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.BOAT, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.LEATHER, "minecraft"));
-      //addDispatch(new ItemModelStandard(Items.BUCKET_MILK, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.BRICK_CLAY, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.CLAY, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.SUGARCANE, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.PAPER, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.BOOK, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.SLIMEBALL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.MINECART_CHEST, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.MINECART_FURNACE, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.EGG_CHICKEN, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.TOOL_COMPASS, "minecraft"));
-        addDispatch(new ItemModelFishingRod(Items.TOOL_FISHINGROD, "minecraft")
+      //addDispatch(new ItemModelStandard(Items.BUCKET_WATER));
+      //addDispatch(new ItemModelStandard(Items.BUCKET_LAVA).setFullBright());
+        addDispatch(new ItemModelStandard(Items.MINECART));
+        addDispatch(new ItemModelStandard(Items.SADDLE));
+        addDispatch(new ItemModelStandard(Items.DOOR_IRON));
+        addDispatch(new ItemModelStandard(Items.DUST_REDSTONE));
+        addDispatch(new ItemModelStandard(Items.AMMO_SNOWBALL));
+        addDispatch(new ItemModelStandard(Items.BOAT));
+        addDispatch(new ItemModelStandard(Items.LEATHER));
+      //addDispatch(new ItemModelStandard(Items.BUCKET_MILK));
+        addDispatch(new ItemModelStandard(Items.BRICK_CLAY));
+        addDispatch(new ItemModelStandard(Items.CLAY));
+        addDispatch(new ItemModelStandard(Items.SUGARCANE));
+        addDispatch(new ItemModelStandard(Items.PAPER));
+        addDispatch(new ItemModelStandard(Items.BOOK));
+        addDispatch(new ItemModelStandard(Items.SLIMEBALL));
+        addDispatch(new ItemModelStandard(Items.MINECART_CHEST));
+        addDispatch(new ItemModelStandard(Items.MINECART_FURNACE));
+        addDispatch(new ItemModelStandard(Items.EGG_CHICKEN));
+        addDispatch(new ItemModelStandard(Items.TOOL_COMPASS));
+        addDispatch(new ItemModelFishingRod(Items.TOOL_FISHINGROD, true)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_ROD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_ROD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_ROD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_ROD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_CLOCK, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.TOOL_CLOCK));
         addDispatch(new ItemModelBlock((ItemBlock<?>) Blocks.GLOWSTONE.asItem()).setFullBright());
-        addDispatch(new ItemModelStandard(Items.DUST_GLOWSTONE, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Items.FOOD_FISH_RAW, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FOOD_FISH_COOKED, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.DUST_GLOWSTONE).setFullBright());
+        addDispatch(new ItemModelStandard(Items.FOOD_FISH_RAW));
+        addDispatch(new ItemModelStandard(Items.FOOD_FISH_COOKED));
         addDispatch(new ItemModelDye(Items.DYE));
-        addDispatch(new ItemModelStandard(Items.BONE, "minecraft")
+        addDispatch(new ItemModelStandard(Items.BONE)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.DUST_SUGAR, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FOOD_CAKE, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FOOD_PUMPKIN_PIE, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.BED, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.REPEATER, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FOOD_COOKIE, "minecraft"));
-        addDispatch(new ItemModelMap(Items.MAP, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.TOOL_SHEARS, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.DUST_SUGAR));
+        addDispatch(new ItemModelStandard(Items.FOOD_CAKE));
+        addDispatch(new ItemModelStandard(Items.FOOD_PUMPKIN_PIE));
+        addDispatch(new ItemModelStandard(Items.BED));
+        addDispatch(new ItemModelStandard(Items.REPEATER));
+        addDispatch(new ItemModelStandard(Items.FOOD_COOKIE));
+        addDispatch(new ItemModelMap(Items.MAP, true));
+        addDispatch(new ItemModelStandard(Items.TOOL_SHEARS));
 
-        addDispatch(new ItemModelStandard(Items.TIMER, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.TIMER));
 
-        addDispatch(new ItemModelStandard(Items.NETHERCOAL, "minecraft").setFullBright());
+        addDispatch(new ItemModelStandard(Items.NETHERCOAL).setFullBright());
 
-        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_STEEL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_STEEL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_STEEL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_STEEL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_STEEL));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_STEEL));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_STEEL));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_STEEL));
 
-        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_STEEL, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_STEEL)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_STEEL, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_STEEL)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_STEEL, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_STEEL)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_AXE_STEEL, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_STEEL)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.TOOL_HOE_STEEL, "minecraft")
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_STEEL)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
 
-        addDispatch(new ItemModelStandard(Items.INGOT_STEEL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.INGOT_STEEL_CRUDE, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.AMMO_FIREBALL, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Items.ARMOR_QUIVER_GOLD, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.HANDCANNON_UNLOADED, "minecraft")
+        addDispatch(new ItemModelStandard(Items.INGOT_STEEL));
+        addDispatch(new ItemModelStandard(Items.INGOT_STEEL_CRUDE));
+        addDispatch(new ItemModelStandard(Items.AMMO_FIREBALL).setFullBright());
+        addDispatch(new ItemModelStandard(Items.ARMOR_QUIVER_GOLD));
+        addDispatch(new ItemModelStandard(Items.HANDCANNON_UNLOADED)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.CHAINLINK, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.CLOTH, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.AMMO_CHARGE_EXPLOSIVE, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.HANDCANNON_LOADED, "minecraft")
+        addDispatch(new ItemModelStandard(Items.CHAINLINK));
+        addDispatch(new ItemModelStandard(Items.CLOTH));
+        addDispatch(new ItemModelStandard(Items.AMMO_CHARGE_EXPLOSIVE));
+        addDispatch(new ItemModelStandard(Items.HANDCANNON_LOADED)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND).setFullBright());
-        addDispatch(new ItemModelStandard(Items.AMMO_ARROW_GOLD, "minecraft"));
-        addDispatch(new ItemModelQuiver(Items.ARMOR_QUIVER, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.TOOL_CALENDAR, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ORE_RAW_GOLD, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.ORE_RAW_IRON, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.QUARTZ, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.OLIVINE, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.AMMO_PEBBLE, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FOOD_CHERRY, "minecraft"));
-      //addDispatch(new ItemModelStandard(Items.BUCKET_ICECREAM, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.AMMO_ARROW_PURPLE, "minecraft"));
-        addDispatch(new ItemModelLabel(Items.LABEL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.JAR, "minecraft"));
-
-        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_GREEN, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_BLUE, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_ORANGE, "minecraft").setFullBright());
-        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_RED, "minecraft").setFullBright());
+        addDispatch(new ItemModelStandard(Items.AMMO_ARROW_GOLD));
+        addDispatch(new ItemModelQuiver(Items.ARMOR_QUIVER, true));
+        addDispatch(new ItemModelStandard(Items.TOOL_CALENDAR));
+        addDispatch(new ItemModelStandard(Items.ORE_RAW_GOLD));
+        addDispatch(new ItemModelStandard(Items.ORE_RAW_IRON));
+        addDispatch(new ItemModelStandard(Items.QUARTZ));
+        addDispatch(new ItemModelStandard(Items.OLIVINE));
+        addDispatch(new ItemModelStandard(Items.AMMO_PEBBLE));
+        addDispatch(new ItemModelStandard(Items.FOOD_CHERRY));
+      //addDispatch(new ItemModelStandard(Items.BUCKET_ICECREAM));
+        addDispatch(new ItemModelStandard(Items.AMMO_ARROW_PURPLE));
+        addDispatch(new ItemModelLabel(Items.LABEL, true));
+        addDispatch(new ItemModelStandard(Items.JAR));
+
+        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_GREEN).setFullBright());
+        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_BLUE).setFullBright());
+        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_ORANGE).setFullBright());
+        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_RED).setFullBright());
 
         addDispatch(new ItemModelBlock((ItemBlock<?>) Blocks.LAMP_ACTIVE.asItem()).setFullBright());
         addDispatch(new ItemModelBlock((ItemBlock<?>) Blocks.LAMP_IDLE.asItem()).setFullBright());
         addDispatch(new ItemModelBlock((ItemBlock<?>) Blocks.LAMP_INVERTED_ACTIVE.asItem()).setFullBright());
         addDispatch(new ItemModelBlock((ItemBlock<?>) Blocks.LAMP_INVERTED_IDLE.asItem()).setFullBright());
 
-        addDispatch(new ItemModelStandard(Items.BASKET, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.FLAG, "minecraft")
+        addDispatch(new ItemModelStandard(Items.BASKET));
+        addDispatch(new ItemModelStandard(Items.FLAG)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
 
-        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_ICESKATES, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.TOOL_SHEARS_STEEL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.TOOL_FIRESTRIKER_STEEL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.SEEDS_PUMPKIN, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.SEAT, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_ICESKATES));
+        addDispatch(new ItemModelStandard(Items.TOOL_SHEARS_STEEL));
+        addDispatch(new ItemModelStandard(Items.TOOL_FIRESTRIKER_STEEL));
+        addDispatch(new ItemModelStandard(Items.SEEDS_PUMPKIN));
+        addDispatch(new ItemModelStandard(Items.SEAT));
 
-        addDispatch(new ItemModelStandard(Items.ROPE, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ROPE));
 
-        addDispatch(new ItemModelStandard(Items.WAND_MONSTER_SPAWNER, "minecraft")
+        addDispatch(new ItemModelStandard(Items.WAND_MONSTER_SPAWNER)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.WAND_NBT, "minecraft")
+        addDispatch(new ItemModelStandard(Items.WAND_NBT)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, HANDHELD_FIRST_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, HANDHELD_FIRST_PERSON_LEFT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, HANDHELD_THIRD_PERSON_RIGHT_HAND)
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, HANDHELD_THIRD_PERSON_LEFT_HAND));
-        addDispatch(new ItemModelStandard(Items.DOOR_STEEL, "minecraft"));
-        addDispatch(new ItemModelPaintbrush(Items.PAINTBRUSH, "minecraft")
+        addDispatch(new ItemModelStandard(Items.DOOR_STEEL));
+        addDispatch(new ItemModelPaintbrush(Items.PAINTBRUSH, true)
             .setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND,  new DisplayPos(1.13f/16f, 3.2f/16f, 1.13f/16f, 90, -90, 25, 0.68f, 0.68f, 0.68f))
             .setDisplayPos(DisplayPos.FIRST_PERSON_LEFT_HAND, new DisplayPos(1.13f/16f, 3.2f/16f, 1.13f/16f, 90, 90, -25, 0.68f, 0.68f, 0.68f))
             .setDisplayPos(DisplayPos.THIRD_PERSON_RIGHT_HAND, new DisplayPos(0, 4.0f/16f, 0.5f/16f, 90, -90, 55, 0.85f, 0.85f, 0.85f))
             .setDisplayPos(DisplayPos.THIRD_PERSON_LEFT_HAND, new DisplayPos(0, 4.0f/16f, 0.5f/16f, 90,  90, -55, 0.85f, 0.85f, 0.85f)));
 
-        addDispatch(new ItemModelStandard(Items.RECORD_13, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.RECORD_CAT, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.RECORD_BLOCKS, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.RECORD_CHIRP, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.RECORD_FAR, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.RECORD_MALL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.RECORD_MELLOHI, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.RECORD_STAL, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.RECORD_STRAD, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.RECORD_WARD, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.RECORD_WAIT, "minecraft"));
-        addDispatch(new ItemModelStandard(Items.RECORD_DOG, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_13));
+        addDispatch(new ItemModelStandard(Items.RECORD_CAT));
+        addDispatch(new ItemModelStandard(Items.RECORD_BLOCKS));
+        addDispatch(new ItemModelStandard(Items.RECORD_CHIRP));
+        addDispatch(new ItemModelStandard(Items.RECORD_FAR));
+        addDispatch(new ItemModelStandard(Items.RECORD_MALL));
+        addDispatch(new ItemModelStandard(Items.RECORD_MELLOHI));
+        addDispatch(new ItemModelStandard(Items.RECORD_STAL));
+        addDispatch(new ItemModelStandard(Items.RECORD_STRAD));
+        addDispatch(new ItemModelStandard(Items.RECORD_WARD));
+        addDispatch(new ItemModelStandard(Items.RECORD_WAIT));
+        addDispatch(new ItemModelStandard(Items.RECORD_DOG));
 
         addDispatch(new ItemModelBlock((ItemBlock<?>) Blocks.TORCH_COAL.asItem()).setFullBright());
         addDispatch(new ItemModelBlock((ItemBlock<?>) Blocks.TORCH_REDSTONE_ACTIVE.asItem()).setFullBright());
